summaryrefslogtreecommitdiff
path: root/tests/misc/tty-eof
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2003-04-08 10:55:01 +0000
committerJim Meyering <jim@meyering.net>2003-04-08 10:55:01 +0000
commitc54ba76168aa7519087d32f9c8f0b739a6420b4b (patch)
treeefce3525f29e52ef825446799aa9881b1910c14f /tests/misc/tty-eof
parent5d425f8eedcfe909a773e2ecfc72b721276ff38b (diff)
downloadcoreutils-c54ba76168aa7519087d32f9c8f0b739a6420b4b.tar.xz
Run $PERL to see if it is available, rather than testing its value.
Diffstat (limited to 'tests/misc/tty-eof')
-rwxr-xr-xtests/misc/tty-eof10
1 files changed, 4 insertions, 6 deletions
diff --git a/tests/misc/tty-eof b/tests/misc/tty-eof
index c5d57ab01..784bd204d 100755
--- a/tests/misc/tty-eof
+++ b/tests/misc/tty-eof
@@ -2,13 +2,11 @@
: ${PERL=perl}
-case "$PERL" in
- *'missing perl')
- echo 1>&2 "$0: configure didn't find a usable version of Perl, so can't run thi
-s test"
+$PERL -e 1 > /dev/null 2>&1 || {
+ echo 1>&2 "$0: configure didn't find a usable version of Perl," \
+ "so can't run this test"
exit 77
- ;;
-esac
+}
ARGV_0=$0
export ARGV_0